Get Community List

Get Community List

Retrieves a specific Community on a given Provider Gateway.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/communityLists/{listId}
COPY
Path Parameters
string
externalNetworkId
Required

externalNetworkId

string
listId
Required

listId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProviderGatewayCommunityList of type(s) application/json;version=39.1
This response body class contains all of the following: InlineProviderGatewayCommunityList0 , InlineProviderGatewayCommunityList1
{
    "id": "string",
    "name": "string",
    "description": "string",
    "communityCount": 0,
    "bgpPermissionGroupRef": {
        "id": "urn:vcloud:bgpPermissionGroup:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "name": "string",
        "accessLevel": "string"
    },
    "communities": [
        "3356:2040",
        "NO_ADVERTISE",
        "33:44:55"
    ],
    "version": {
        "version": 0
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/communityLists/{listId}